Issue 54923 - No obvious way to quickly increase/decrease font-size from the keyboard
Summary: No obvious way to quickly increase/decrease font-size from the keyboard
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: OOo 2.4.0
Hardware: All All
: P3 Minor (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-21 17:12 UTC by thomas_hinkle
Modified: 2015-05-02 11:05 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.0-beta
Developer Difficulty: ---


Attachments
Patch to Add Increase and Decrease Font Size Shortcuts (1.17 KB, patch)
2015-05-02 11:05 UTC, lynnpe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description thomas_hinkle 2005-09-21 17:12:32 UTC
As far as I can tell, there is no quick way to increase or decrease font-size
from the keyboard in OpenOffice.

In Microsoft Word, Control-Shift-P selects the font-size adjustor to allow quick
editing. This is, in my mind, a mediocre solution. (In open office,
Control-Shift-P just toggles the size)

In AbiWord, Control-< and Control-> adjust the size. This is just the kind of
solution I'd like to see in OO -- easy to use (though it's not a discoverable
feature in AbiWord -- it would be nice if the OO implementation were
discoverable via menu items such as "Increase font size" and "Decrease font size".

I believe this is pretty important -- I adjust font-size far more often than I
adjust spacing, italics, underlining and bolding, all of which have convenience
keyboard shortcuts.

Also, it's not trivial to record a macro to do this since by default, macros
record what font-size I changed to exactly, making it possible to make a "Set
font size to 16" macro, but not possible to say "Increase font size" in a quick
macro.
Comment 1 h.ilter 2005-09-22 10:59:23 UTC
Reassigned to requirements
Comment 2 ace_dent 2008-05-16 01:42:18 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 thomas_hinkle 2008-05-16 01:51:40 UTC
This remains a problem with version 2.4.
Comment 4 oooforum (fr) 2008-05-30 09:52:38 UTC
Maybe duplicate with #28016
Comment 5 Edwin Sharp 2014-03-19 10:24:51 UTC
Tools - Customize... - Keyboard - Category=Format - Function=Increase Font/Reduce Font is blank.
Default keys should be assigned.
AOO410m14(Build:9760)  -  Rev. 1573062
2014-03-01_04:11:01 - Rev. 1573123
Debian
Comment 6 Andrea Pescetti 2015-02-20 00:10:20 UTC
To change this in code, you need to edit the file
main/officecfg/registry/data/org/openoffice/Office/Accelerators.xcu

Ask for further details if needed.

(this comment answers a request that came to the dev list on where one should look in the code to fix this issue).
Comment 7 lynnpe 2015-05-02 11:05:19 UTC
Created attachment 84727 [details]
Patch to Add Increase and Decrease Font Size Shortcuts